Skip to main content
PATCH
/
api
/
personal
/
equipment
/
{equipment_id}
Update Equipment Endpoint
curl --request PATCH \
  --url https://api.example.com/api/personal/equipment/{equipment_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "category": "<string>",
  "insured_value": 123,
  "insurer": "<string>",
  "name": "<string>",
  "notes": "<string>",
  "policy_number": "<string>",
  "renewal_date": "<string>",
  "status": "active"
}
'
{
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "status": "active",
  "updated_at": "<string>",
  "category": "<string>",
  "insured_value": 123,
  "insurer": "<string>",
  "notes": "<string>",
  "policy_number": "<string>",
  "renewal_date": "<string>"
}

Path Parameters

equipment_id
string
required

Body

application/json
category
string | null
insured_value
integer | null
insurer
string | null
name
string | null
notes
string | null
policy_number
string | null
renewal_date
string | null
status
enum<string> | null
Available options:
active,
sold,
lost,
claimed

Response

Successful Response

created_at
string
required
id
string
required
name
string
required
status
enum<string>
required
Available options:
active,
sold,
lost,
claimed
updated_at
string
required
category
string | null
insured_value
integer | null
insurer
string | null
notes
string | null
policy_number
string | null
renewal_date
string | null